/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "vConsultor_premio")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "VConsultorpremio.findAll", query = "SELECT v FROM VConsultorpremio v")
        , @NamedQuery(name = "VConsultorpremio.findByConsultorCodigo", query = "SELECT v FROM VConsultorpremio v WHERE v.consultorCodigo = :consultorCodigo")
        , @NamedQuery(name = "VConsultorpremio.findByCodigoPremio", query = "SELECT v FROM VConsultorpremio v WHERE v.codigoPremio = :codigoPremio")
        , @NamedQuery(name = "VConsultorpremio.findByPremioNombre", query = "SELECT v FROM VConsultorpremio v WHERE v.premioNombre = :premioNombre")
        , @NamedQuery(name = "VConsultorpremio.findByProximoPremio", query = "SELECT v FROM VConsultorpremio v WHERE v.proximoPremio = :proximoPremio")
        , @NamedQuery(name = "VConsultorpremio.findByPremioAutorizado", query = "SELECT v FROM VConsultorpremio v WHERE v.premioAutorizado = :premioAutorizado")
        , @NamedQuery(name = "VConsultorpremio.findByPremioEntregado", query = "SELECT v FROM VConsultorpremio v WHERE v.premioEntregado = :premioEntregado")
        , @NamedQuery(name = "VConsultorpremio.findByCodigoPremioAutorizado", query = "SELECT v FROM VConsultorpremio v WHERE v.codigoPremioAutorizado = :codigoPremioAutorizado")
        , @NamedQuery(name = "VConsultorpremio.findByDiasPago", query = "SELECT v FROM VConsultorpremio v WHERE v.diasPago = :diasPago")
        , @NamedQuery(name = "VConsultorpremio.findByCargos", query = "SELECT v FROM VConsultorpremio v WHERE v.cargos = :cargos")})
public class VConsultorpremio implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "consultor_codigo")
    @Id
    private String consultorCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "codigo_premio")
    private String codigoPremio;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 20)
    @Column(name = "premio_nombre")
    private String premioNombre;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Basic(optional = false)
    @NotNull
    @Column(name = "proximo_premio")
    private BigDecimal proximoPremio;
    @Basic(optional = false)
    @NotNull
    @Column(name = "premio_autorizado")
    private boolean premioAutorizado;
    @Basic(optional = false)
    @NotNull
    @Column(name = "premio_entregado")
    private boolean premioEntregado;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "codigo_premio_autorizado")
    private String codigoPremioAutorizado;
    @Basic(optional = false)
    @NotNull
    @Column(name = "dias_pago")
    private int diasPago;
    @Basic(optional = false)
    @NotNull
    @Column(name = "cargos")
    private BigDecimal cargos;

    public VConsultorpremio() {
    }

    public String getConsultorCodigo() {
        return consultorCodigo;
    }

    public void setConsultorCodigo(String consultorCodigo) {
        this.consultorCodigo = consultorCodigo;
    }

    public String getCodigoPremio() {
        return codigoPremio;
    }

    public void setCodigoPremio(String codigoPremio) {
        this.codigoPremio = codigoPremio;
    }

    public String getPremioNombre() {
        return premioNombre;
    }

    public void setPremioNombre(String premioNombre) {
        this.premioNombre = premioNombre;
    }

    public BigDecimal getProximoPremio() {
        return proximoPremio;
    }

    public void setProximoPremio(BigDecimal proximoPremio) {
        this.proximoPremio = proximoPremio;
    }

    public boolean getPremioAutorizado() {
        return premioAutorizado;
    }

    public void setPremioAutorizado(boolean premioAutorizado) {
        this.premioAutorizado = premioAutorizado;
    }

    public boolean getPremioEntregado() {
        return premioEntregado;
    }

    public void setPremioEntregado(boolean premioEntregado) {
        this.premioEntregado = premioEntregado;
    }

    public String getCodigoPremioAutorizado() {
        return codigoPremioAutorizado;
    }

    public void setCodigoPremioAutorizado(String codigoPremioAutorizado) {
        this.codigoPremioAutorizado = codigoPremioAutorizado;
    }

    public int getDiasPago() {
        return diasPago;
    }

    public void setDiasPago(int diasPago) {
        this.diasPago = diasPago;
    }

    public BigDecimal getCargos() {
        return cargos;
    }

    public void setCargos(BigDecimal cargos) {
        this.cargos = cargos;
    }

}
